<form autocomplete='off'>
	<div class='config'>
		{{#if actions}}
		<div>
			<label>{{localize 'PF1.Action'}}</label>
			<select name='action'>
				{{selectOptions actions selected=selectedAction}}
			</select>
		</div>
		{{/if}}
		<div class='size config-item'>
			<label>{{localize 'PF1.Size'}}</label>
			<select data-dtype='Number' name='size'>
				{{selectOptions options.size selected=d.config.size}}
			</select>
		</div>
		{{#if isSpell}}
		<div class='spell'>
			<div class='cl config-item'>
				<label>{{localize 'LittleHelper.Theory.CLOffset'}}</label>
				<input data-dtype='Number' name='clOffset' type='number' min='-15' max='15' step='1' value='{{d.config.clOffset}}'>
			</div>
		</div>
		{{/if}}
	</div>

	{{#with attack}}
	<div class='attack'>
		<div class='damage'>
			<h2>{{localize 'PF1.Damage'}}</h2>
			{{#if @root.item.hasDamage}}
			<ul class='formulas'>
				<li class='header'>
					<h3 class='enabled vis-hidden'></h3>
					<h3 class='formula'>{{localize 'PF1.Formula'}}</h3>
					<h3 class='estimate' data-tooltip='Estimation' data-tooltip-direction='UP'>{{localize 'LittleHelper.Theory.EstimateAbbr'}}</h3>
					<h3 class='min-max' data-tooltip='Minimum to Maximum Range' data-tooltip-direction='UP'>{{localize 'LittleHelper.Theory.MinMax'}}</h3>
					<h3 class='types'>{{localize 'LittleHelper.Theory.Types'}}</h3>
					<h3 class='metatype'>{{localize 'LittleHelper.Theory.Metatype'}}</h3>
				</li>
				{{!-- DAMAGE INSTANCES --}}
				{{#each damage.groups}}
				<li class='sub-header {{#unless label}}hidden collapsed{{/unless}}'>
					<span class='vis-hidden'></span>
					<h3>{{label}}</h3>
				</li>
				{{#if items}}
				{{#each items}}
				{{#if label}}
				<li class='label {{#if enabled}}enabled{{else}}disabled{{/if}}'>
					<span class='vis-hidden'></span>
					<h5>{{label}}</h5>
				</li>
				{{/if}}
				<li class='{{#if conditional}}conditional{{/if}} {{#if enabled}}enabled{{else}}disabled{{/if}} {{#if error}}error{{/if}}'>
					<input type='checkbox' data-dtype='Boolean' name='attacks.0.damage.{{#unless ../custom}}{{index}}{{else}}custom{{/unless}}.enabled' {{checked enabled}} {{#if ../base}}readonly disabled{{/if}}>
					{{#unless ../custom}}
					<label class='formula modified' {{#if error}}data-tooltip='{{error}}' data-tooltip-direction='UP'{{/if}}>{{strippedFormula}}</label>
					{{else}}
					<input class='formula original' data-dtype='String' name='damage.custom.formula' type='text' value='{{formula}}' placeholder='Custom formula' {{#if error}}data-tooltip='{{error}}' data-tooltip-direction='UP'{{/if}}>
					{{/unless}}
					<label class='estimate'>{{est}}</label>
					<label class='min-max {{#if (eq min.total max.total)}}faded{{/if}}'>{{#if (eq min.total max.total)}}–{{else}}{{min.total}} – {{max.total}}{{/if}}</label>
					<label class='types'>{{#if (or type.values type.custom)}}{{#each type.values}}<span>{{this}}</span>{{/each}}{{#if type.custom}}<span>{{type.custom}}</span>{{/if}}{{else}}n/a{{/if}}</label>
					<label class='metatype'>{{#if metatype}}{{metatype}}{{else}}n/a{{/if}}</label>
				</li>
				<li class='details {{#unless verbose}}{{#if (or static staticFormula)}}hidden collapsed{{/if}}{{/unless}} {{#if enabled}}enabled{{else}}disabled{{/if}}'>
					<span class='vis-hidden'></span>
					<label class='formula {{#unless ../custom}}original{{else}}modified{{/unless}}' {{#if variables}}data-tooltip='{{variablesFormatted}}' data-tooltip-direction='UP'{{/if}}>{{#unless ../custom}}{{originalFormula}}{{else}}{{finalFormula}}{{/unless}}</label>
				</li>
				{{/each}}
				{{else}}
				<li class='info'>
					<span class='vis-hidden'></span>
					<label>{{localize 'LittleHelper.Warning.NoItemsFound'}}</label>
				</li>
				{{/if}}
				{{/each}}
				{{!-- TOTAL --}}
				<li class='total'>
					{{#with damage.total}}
					<span class='vis-hidden'></span>
					<span class='vis-hidden'></span>
					<h3 class='estimate'>{{est}}</h3>
					<h3 class='min-max {{#if static}}faded{{/if}}'>{{#if static}}–{{else}}{{min}} – {{max}}{{/if}}</h3>
					<span class='vis-hidden'></span>
					<span class='vis-hidden'></span>
					{{/with}}
				</li>
				{{#if @root.d.config.full}}
				<li class='full-attack'>
					{{#with @root.fullAttack}}
					<span class='vis-hidden'></span>
					<label>Full attack with {{attackCount}} attacks</label>
					<h3 class='estimate'>{{est}}</h3>
					<h3 class='min-max {{#if static}}faded{{/if}}'>{{#if static}}–{{else}}{{min}} – {{max}}{{/if}}</h3>
					<span class='vis-hidden'></span>
					<span class='vis-hidden'></span>
					{{/with}}
				</li>
				{{/if}}
				<li class='footer'>
					<span class='vis-hidden'></span>
					<span class='vis-hidden'></span>
					<h3 class='total'>{{localize 'PF1.Total'}}</h3>
					<span class='vis-hidden'></span>
					<span class='vis-hidden'></span>
				</li>
			</ul>
			{{else}}
			<p>{{localize 'LittleHelper.Theory.NoDamage'}}</p>
			{{/if}}
		</div>
	</div>
	{{/with}}
</form>
